
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>全面解析jquery中ajax从前端到后端的过程 / iVAN</title>

    <meta name="description" content="全面解析jquery中ajax从前端到后端的过程 1.get方式访问浏览器时,常加参数缘由: GET访问浏览器是等幂的,就是一个相同的URL只有一个结果[相同是指整个URL字符串完全匹配],所以第二次访问的时候如果 URL字符串没变化,浏览器是 直接拿出了第一次访问的结果.POST则认为是一个变动性访问 (浏览器认为POST的提交必定是有改变的)防止GET的等幂访问就在URL后面加上?+new Date();[总之就是使每次访问的URL字符串不一样的].设计WEB页面的时候也应该遵守这个原则. 2.ajax方式中的get和post的区别: Ge">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">全面解析jquery中ajax从前端到后端的过程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.get方式访问浏览器时，常加参数缘由：</p>
<p>GET访问浏览器是等幂的，就是一个相同的URL只有一个结果[相同是指整个URL字符串完全匹配]，所以第二次访问的时候如果 URL字符串没变化，浏览器是 直接拿出了第一次访问的结果。POST则认为是一个变动性访问 （浏览器认为POST的提交必定是有改变的）防止GET的等幂访问就在URL后面加上？+new Date();[总之就是使每次访问的URL字符串不一样的]。设计WEB页面的时候也应该遵守这个原则。</p>
<p>2.ajax方式中的get和post的区别：</p>
<p>Get方式:<br />用get方式可传送简单数据，但大小一般限制在1KB下，数据追加到url中发送（http的header传送），也就是说，浏览器 将各个表单字段元素及其数据按照URL参数的格式附加在请求行中的资源路径后面。另外最重要的一点是，它会被客户端的浏览器缓存起来，那么，别人就可以从浏览器的历史记录中，读取到此客户的数据，比如帐号和密码等。因此，在某些情况下，get方法会带来严重的安全性问题。总之，GET方式传送数据量小，处理效率高，安全性低，会被缓存，而POST反之。</p>
<p>Post方式:<br />当使用POST方式时，浏览器把各表单字段元素及其数据作为HTTP消息的实体内容发送给Web服务器，而不是作为URL地址的参数进行传递，使用POST方式传递的数据量要比使用GET方式传送的数据量大的多。</p>
<p>接下来，看代码中我们的前台：</p>
<p>我们看到前台的代码中有：</p>
<p>当后台收到前端的$.ajax( )中的路径时(url: "/report/loadAssetsTransactionsByRegionTime"），我们在web.xml中配置了拦截器，这部分是由Struts2的核心控制器：StrutsPrepareAndExecuteFilter来完成的，它包括两个部分StrutsPrepareFilter和StrutsExecuteFilter。</p>
<p>&lt;filter&gt;<br />    &lt;filter-name&gt;struts-prepare&lt;/filter-name&gt;<br />    &lt;filter-class&gt;org.apache.struts2.dispatcher.ng.filter.StrutsPrepareFilter&lt;/filter-class&gt;<br />  &lt;/filter&gt;<br />  &lt;filter&gt;<br />    &lt;filter-name&gt;struts&lt;/filter-name&gt;<br />    &lt;filter-class&gt;org.apache.struts2.dispatcher.ng.filter.StrutsExecuteFilter&lt;/filter-class&gt;<br />  &lt;/filter&gt;</p>
<p>如上所示，是struts2核心控制器代码在web.xml中的配置文件，映射路径一般映射到"/*",再来看下面具体的拦截动作</p>
<p>&lt;filter-mapping&gt;<br />    &lt;filter-name&gt;struts-prepare&lt;/filter-name&gt;<br />    &lt;url-pattern&gt;/main/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/inspection/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/report/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/audit/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/ajax/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/location/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/admin/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/calculation/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/conf/*&lt;/url-pattern&gt;<br />    &lt;dispatcher&gt;REQUEST&lt;/dispatcher&gt;<br />    &lt;dispatcher&gt;FORWARD&lt;/dispatcher&gt;<br />&lt;/filter-mapping&gt;<br />&lt;filter-mapping&gt;<br />    &lt;filter-name&gt;struts&lt;/filter-name&gt;<br />    &lt;url-pattern&gt;/main/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/inspection/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/report/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/audit/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/ajax/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/location/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/admin/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/calculation/*&lt;/url-pattern&gt;<br />    &lt;url-pattern&gt;/conf/*&lt;/url-pattern&gt;<br />    &lt;dispatcher&gt;FORWARD&lt;/dispatcher&gt;<br />&lt;/filter-mapping&gt;</p>
<p>struts中核心是Action和拦截器,struts2的action必须放在一个指定的包空间下定义。struts.xml文件中package元素用于定义包配置。struts2框架有两个核心配置文件，其中struts.xml文件主要负责管理应用中的Action映射,及Action处理结果和物理资源之间的映射关系。除此之外，Struts2框架还包含了一个struts.properties文件，该文件主义了Struts2框架的大量常量属性。但通常推荐也是在struts.xml文件中来配置这些常量属性。</p>
<p>&lt;!-- 定义处理请求URL为dailyMonitoringAction的Action --&gt;<br />&lt;action name="loadAssetsTransactionsByRegionTime" class="dailyMonitoringAction" method="loadAssetsTransactionsByRegionTime"&gt;          <br />　　&lt;!-- 定义处理结果字符串和资源之间的映射关系 ,该action中指定了返回的type为json--&gt;<br />    &lt;result name="success" type="json"&gt;<br />    　　&lt;!-- 指定json返回的域 --&gt;<br />        &lt;param name="includeProperties"&gt;*&lt;/param&gt;<br />    &lt;/result&gt;<br />&lt;/action&gt;</p>
<p>然后我们再看Action中，可以采用SpringMVC的方式来传递参数，也可以使用struts2的方式来传递参数，如下是使用SpringMVC的方式来传递数据。</p>
<p>@RequestMapping(value="/loadAssetsTransactionsByRegionTime", method=RequestMethod.GET)  <br />    public String loadAssetsTransactionsByRegionTime(String starttime, String endtime, HttpServletResponse response) {<br />        String startTime = starttime;<br />        String endTime = endtime;<br />        lineVM = new LineChartVM();<br />        lineVM.setTitle("Assets Transactions By Region");<br />        lineVM.setyAxisName("Transactions");<br />        Map&lt;String, Map&lt;String, Double&gt;&gt; assetRegionMap = dailyMonitoringService<br />                .loadAssetRegionTransactionTime(startTime, endTime);<br />        lineVM.setCategories(new ArrayList&lt;String&gt;(assetRegionMap.keySet()));<br />        Map&lt;String, List&lt;Double&gt;&gt; seriesMap = pivotingMap(assetRegionMap, 0D);<br />        List&lt;ChartSerieVM&gt; seriesList = new ArrayList&lt;ChartSerieVM&gt;();<br />        for (String key : seriesMap.keySet()) {<br />            ChartSerieVM chartSerieVM = new ChartSerieVM();<br />            chartSerieVM.setName(key);<br />            chartSerieVM.setData(seriesMap.get(key));<br />            seriesList.add(chartSerieVM);<br />        }<br />        lineVM.setSeries(seriesList);<br />        return SUCCESS;<br />    }</p>
<p>或者，我们可以使用Struts2来解决这个问题，我们以http://127.0.0.1:8080/demo/index.jsp?name=aty&amp;age=20为例，struts2的action中获取请求参数值，总的来说有2种方式：第一种在action中定义同名变量，提供get/set方法</p>
<p>public class DemoAction<br />{<br />    private String name;<br />    private int age;<br />     <br />    public String getName()<br />    {<br />        return this.name;<br />    }<br />     <br />    public void setName(String name)<br />    {<br />        this.name = name;<br />    }<br />     <br />    public int getAge()<br />    {<br />        return this.age;<br />    }<br />     <br />    public void setName(int age)<br />    {<br />        this.age = age;<br />    }<br />}</p>
<p> </p>
<p>又或者，使用手动获取HttpServletRequest，然后调用request.getParameter()</p>
<p>public class DemoAction<br />{   <br />    public String execute()<br />    {<br />        HttpServletRequest request = ServletActionContext.getRequest();<br />        String name = request.getParameter("name");<br />        String age = request.getParameter("age");<br />    }<br />}</p>
<p>这2种方式有什么差别呢？很显然是成员变量和局部变量的区别。我们知道一个action可以定义多个public方法，用来处理不同的前台请求。如 果同一个请求参数，会被多个方法使用，那么就适合用第一种方式；如果一个请求参数，仅仅只会被一个方法使用，就适合使用第二种方式。原则就是：保证同一个 参数名称在action代码中只出现一次（避免重复），而且变量的作用范围要尽可能的小（代码内聚）。将http请求参数封装到实体类的方式，可以参考struts2的模型驱动http://blog.csdn.net/li_tengfei/article/details/6098145。下面我们看下，如何将参数封装到Map和List中。</p>
<p>public class DemoAction<br />{   <br />    private Map&lt;string,string&gt; requestMap = new HashMap&lt;string,string&gt;();<br />     <br />    private List&lt;user&gt; requestList = new ArrayList&lt;user&gt;();<br />     <br />}&lt;/user&gt;&lt;/user&gt;&lt;/string,string&gt;&lt;/string,string&gt;</p>
<p>js将参数封装到list中</p>
<p>var params = {};<br />params["requestList[0].id"] = $("#person_id").attr("value");<br />params["requestList[0].username"] = "aty";<br />params["requestList[0].password"] = "123";<br />params["requestList[0].age"] = 25;<br />params["requestList[0].address"] = "";<br /> <br />$.post(url,params);</p>
<p>js将参数封装到map</p>
<p>var params = {};<br />params["requestMap.id"] = $("#person_id").attr("value");<br />params["requestMap.username"] = "aty";<br />params["requestMap.password"] = "123";<br />params["requestMap.age"] = 25;<br />params["requestMap.address"] = "";<br /> <br />$.post(url,params);</p>
<p>可以看到使用Map接收http请求参数， 和使用实体类没有差别，在js和java端的做法也都是相同的。</p>
<p> </p>
<p>补充几个知识点：</p>
<p>1、springMVC和struts2的对比 (参考：http://blog.csdn.net/gstormspire/article/details/8239182)</p>
<p>　　我们采用struts2时采用的传统的配置文件的方式，并没有使用传说中的零配置。spring3 mvc可以认为已经100%零配置了（除了配置spring mvc-servlet.xml外）。</p>
<p>　　第一，机制：spring mvc的入口是servlet，而struts2是filter（这里要指出，filter和servlet是不同的。以前认为filter是 servlet的一种特殊），这样就导致了二者的机制不同，这里就牵涉到servlet和filter的区别了。</p>
<p>　　第二，性能：spring会稍微比struts快。spring mvc是基于方法的设计，而sturts是基于类，每次发一次请求都会实例一个action，每个action都会被注入属性，而spring基于方法， 粒度更细，但要小心把握像在servlet控制数据一样。spring3 mvc是方法级别的拦截，拦截到方法后根据参数上的注解，把request数据注入进去，在spring3 mvc中，一个方法对应一个request上下文。而struts2框架是类级别的拦截，每次来了请求就创建一个Action，然后调用setter getter方法把request中的数据注入；struts2实际上是通过setter getter方法与request打交道的；struts2中，一个Action对象对应一个request上下文。</p>
<p>　　第三，参数传递：struts是在接受参数的时候，可以用属性来接受参数，这就说明参数是让多个方法共享的。</p>
<p>　　第四，设计思想上：struts更加符合oop的编程思想， spring就比较谨慎，在servlet上扩展。</p>
<p>　　第五，spring mvc是方法级别的拦截，一个方法对应一个request上下文，而方法同时又跟一个url对应，所以说从架构本身上spring3 mvc就容易实现restful url。struts2是类级别的拦截，一个类对应一个request上下文；实现restful url要费劲，因为struts2 action的一个方法可以对应一个url；而其类属性却被所有方法共享，这也就无法用注解或其他方式标识其所属方法了。spring3 mvc的方法之间基本上独立的，独享request response数据，请求数据通过参数获取，处理结果通过ModelMap交回给框架方法之间不共享变量，而struts2搞的就比较乱，虽然方法之间 也是独立的，但其所有Action变量是共享的，这不会影响程序运行，却给我们编码，读程序时带来麻烦。</p>
<p> 　　故，总结如下：“struts2是类级别的拦截， 一个类对应一个request上下文，springmvc是方法级别的拦截，一个方法对应一个request上下文，而方法同时又跟一个url对应，所以说从架构本身上 spring3 mvc就容易实现restful url 。而struts2的架构实现起来要费劲，因为struts2 action的一个方法可以对应一个url。而其类属性却被所有方法共享，这也就无法用注解或其他方式标识其所属方法了。spring3mvc的方法之间基本上独立的，独享request response数据，请求数据通过参数获取，处理结果通过ModelMap交回给框架。方法之间不共享变量，而struts2搞的就比较乱，虽然方法之间也是独立的，但其所有Action变量是共享的。这不会影响程序运行，却给我们编码 读程序时带来麻烦。由于Struts2需要针对每个Request进行封装，把Request，Session等Servlet生命周期的变量封装成一个一个Map，供给每个Action使用，并保证线程安全。所以在原则上，是比较耗费内存的。</p>
<p>2、JSTL在项目中的使用：JSTL（JSP Standard Tag Library，JSP标准标签库)，是一个不断完善的开放源代码的JSP标签库。</p>
<p>3、java中Map接口的使用：map接口按照&lt;key,value&gt;的键值对方式组合，key是索引，本身也是对象，这点是区别于数组的。1,2,3，4...(数组的索引只能是下标)使用的时候，一般选择的是Map接口的子类，而不直接使用Map接口。(Collection容器中包含Set和List接口，Set中又包含HashSet，List中包含LinkedList和ArrayList；单独的Map接口中只有HashMap)。</p>
<p>　　Java 中某些最常用的类。 最常用的集合类是List 和 接口Map。 List 的具体实现包括 ArrayList 和 Vector，它们是可变大小的列表，比较适合构建、存储和操作任何类型对象的元素列表。 List 适用于按数值索引访问元素的情形，其中的数据有顺序且可以重复。而Set中数据无顺序且不可以重复。</p>
<p>　　先来看我们的Object类中的两个方法在Map接口中的覆盖实现：equals(obj)方法，用于比较指定对象与此Map的等价性；hascode()方法，返回此Map的哈希吗。(那么问题来了，java中使用hashcode()方法有什么用呢？使用hascode()方法用于比较两个对象是否相等，当两个对象的hascode()值不相等的时候，那么两个对象肯定不相等；如果两个对象的hascode()方法相等，再进一步比较equals()方法，由于hascode()的值是int，比较它们速度回更快，所以可以提升比较的时候的效率)；</p>
<p>　　每个java对象都有一个唯一的标识，object类中的hash方法就是直接返回对象的这个内部id号，与string的hash方法是不同的,object的hash方法能够用来区分不同的对象.因为原始的object对象没有任何有意义的值可用来计算哈希。唯一的id充分反映了面向对象的编程思想。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 15:09:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/params/" title="params">params</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>全面解析jquery中ajax从前端到后端的过程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRGQrp.html" rel="bookmark">JQuery中ajax不能解析json</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JQuery中ajax不能解析json Action: @Controller @Scope(&quot;prototype&quot;) @Namespace(&quot;/&quot;) @ParentPackage(&quot;json-default&quot;) public class OaAction extends ActionSupport private String name; private String pass; private String msg; @Action			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmoDZz.html" rel="bookmark">jquery中ajax使用error调试错误的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了jquery中ajax使用error调试错误的方法,实例分析了Ajax的使用方法与error函数调试错误的技巧,需要的朋友可以参考下     本文实例讲述了jquery中ajax使用error调试错误的方法.分享给大家供大家参考.具体分析如下: JQuery使我们在开发Ajax应用程序的时候提高了效率,减少了许多兼容性问题,我们在Ajax项目中,遇到ajax异步获取数据出错怎么办,我们可以通过捕捉error事件来获取出错的信息. jquery中ajax的常用用法类似于: ?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My346dz.html" rel="bookmark">jQuery中ajax的get&lpar;&rpar;方法用法实例&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery中ajax的get()方法用法.分享给大家供大家参考.具体分析如下: $.get()通过 HTTP GET请求从服务器上请求数据. 语法结构: 复制代码 代码如下: $.get(url, [data], [callback], [type]); 参数解析: 1.URL:必须,规定请求的URL. 2.data:可选,待发送 Key/value 参数. 3.callback:可选,请求成功后所执行的回调函数. 4.type:可选,返回内容格式,xml, html, scri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze62v0b.html" rel="bookmark">jQuery中ajax的load&lpar;&rpar;方法用法实例&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery中ajax的load()方法用法.分享给大家供大家参考.具体分析如下: 此函数jQuery中简单而功能强大的ajax方法. 它可以从服务器加载内容,然后写入匹配元素.语法结构: 复制代码 代码如下: $(selector).load(URL,data,callback); 参数解析: 1.selector:一个选择器,可以将内容加载到此选择器匹配的元素中. 2.URL:必须,需要加载的一个url地址. 3.data:可选,与请求一同发送的查询字符串键/值对集合. 4.c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDke5Xp.html" rel="bookmark">jquery中ajax使用error调试错误的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery中ajax使用error调试错误的方法.分享给大家供大家参考.具体分析如下: JQuery使我们在开发Ajax应用程序的时候提高了效率,减少了许多兼容性问题,我们在Ajax项目中,遇到ajax异步获取数据出错怎么办,我们可以通过捕捉error事件来获取出错的信息. jquery中ajax的常用用法类似于: $(document).ready(function() { jQuery(&quot;#clearCac&quot;).click(function() { jQuery.a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A33qp.html" rel="bookmark">JQuery中&dollar;&period;ajax&lpar;&rpar;方法参数详解及应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 JQuery中$.ajax()方法想必大家并不陌生吧,在本文将为大家介绍下其参数及应用示例,感兴趣的朋友不要错过 url: 要求为String类型的参数,(默认为当前页地址)发送请求的地址.    type: 要求为String类型的参数,请求方式(post或get)默认为get.注意其他http请求方法,例如put和    delete也可以使用,但仅部分浏览器支持.    timeout: 要求为Number类型的参数,设置请求超时时间(毫秒).此设置将覆盖$.ajaxSetup()方法的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOkl0M.html" rel="bookmark">jQuery中ajax的使用与缓存问题的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章主要介绍了jQuery中ajax的使用与缓存问题的解决方法.需要的朋友可以过来参考下,希望对大家有所帮助 1:GET访问 浏览器 认为 是等幂的 就是 一个相同的URL 只有一个结果[相同是指 整个URL字符串完全匹配] 所以 第二次访问的时候 如果 URL字符串没变化 浏览器是 直接拿出了第一次访问的结果   POST则 认为是一个 变动性 访问 (浏览器 认为 POST的提交 必定是 有改变的)   防止 GET 的 等幂 访问 就在URL后面加上 ?+new Date();,[总之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaad0z.html" rel="bookmark">jQuery中Ajax的get、post等方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 前面我们讲述了jQuery中ajax的load()方法,小伙伴们反应非常好,今天我们就来讲解下jQuery中Ajax的get.post等方法,希望大家同样能够喜欢.     load()方法通常用来从Web服务器上获取静态的数据文件,然而这并不能体现ajax的全部价值. 在项目中,如果需要传递一些参数给服务器中的页面,那么可以使用$.get()或者$.post()方法(或者是$.ajax()方法) $.get()方法使用GET方式来进行异步请求.结构为:$.get(url [, data] [			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7d4Bb.html" rel="bookmark">Jquery中ajax方法data参数的用法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本篇文章主要是对Jquery中ajax方法data参数的用法进行了总结介绍,需要的朋友可以过来参考下,希望对大家有所帮助  代码如下: $.ajax({    type: &quot;POST&quot;,    url: &quot;some.php&quot;,    data: &quot;name=John&amp;location=Boston&quot;, //第一种方式传参   // data: {name:&quot;John&quot;,location:&quot;Boston&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK0AMN.html" rel="bookmark" class="title">如何使用ps制作微信首页</a>
					<div>
						  1.打开微信画面原图. 2.使用仿制图章工具把原图中的人物和影子去掉. 3.打开要替换的素材图片,扣取需要的部分,然后拷贝到已经去掉原人物的微信开机画面图中,调整大小为位置. 4.载入选区,填充黑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY2oep.html" rel="bookmark" class="title">我的e家无线路由器设置</a>
					<div>
						有人说,设置我的e家路由器不就和普通的路由器一样么,但是如果你真的还和普通的一样设置,用网线进行连接,那么真是浪费啊.下面就看看小编教大家如何进行我的e家无线路由器的设置方法吧. 步骤一.在设置路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91WZdM.html" rel="bookmark" class="title">用JS得到字符串中出现次数最多的字母</a>
					<div>
						网上有这样一道题目: Quote: 一个字符串String=&quot;adadfdfseffserfefsefseetsdg&quot;,找出里面出现次数最多的字母和出现的次数. 经典的解答思路为: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2419b.html" rel="bookmark" class="title">数据库组件 Hxj&period;Data （十六） （查询的字段）</a>
					<div>
						在查询没有设置查询字段,组件默认是返回所有字段信息,即select * from table 那在查询中如何设置需要返回的字段信息呢? 在之前几节中的例子已经存在设置查询字段,是通过 select方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Avvqp.html" rel="bookmark" class="title">鲁大师有什么功能</a>
					<div>
						鲁大师是新一代的系统工具.它能轻松辨别电脑硬件真伪,保护电脑硬部件稳定运行,评估电脑硬部件性能,提升电脑运行速度的免费软件. 鲁大师是一款免费软件,并且不带任何广告及插件,它适用于以下操作系统:Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62lALM.html" rel="bookmark" class="title">Photoshop把白天外景人物照片转为黑色暗夜效果</a>
					<div>
						教程过程极为简单,不过作者更多的是介绍图片如何现实与众不同的创意.这里用到的夜景效果,跟调色及美化有点差别,需要在特定的环境下如夜色中给图片渲染颜色. 原图 &lt;点小图查看大图&gt; 最终效果  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYRm2M.html" rel="bookmark" class="title">word2010中打印份数的设置方法</a>
					<div>
						在word2010中&quot;打印&quot;的时候,我们用户可以根据自己的需求来设置打印的份数,例如我们在打印的时候需要&quot;逐份打印&quot;或者&quot;逐页打印&quot;都可以自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWQdPp.html" rel="bookmark" class="title">闪游浏览器如何快速保存图片</a>
					<div>
						  快速保存图片功能是闪游浏览器又一特点,新颖的按键,是使用者对浏览器的快捷方式,现在来教大家如何使用 1.打开浏览器主页 2.按照西西指示的操作 3.按住ait键和鼠标单击就可以快速保存图片 4.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkmKdb.html" rel="bookmark" class="title">PS创建晶莹剔透的云朵</a>
					<div>
						  第1步: 打开Photoshop,Ctrl+N新建空白文档,尺寸可自己定义. 第2步: 按住Alt键双击背景图层,将其转换为普通图层.双击打开图层样式,为背景添加从#ddeffa到#96ccee的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwmwKb.html" rel="bookmark" class="title">Windows7系统无法关机怎么办</a>
					<div>
						  解决方案: 1. 电脑上运行了某个或者某些软件, 由于该软件是常驻内存的,运行后就自动出现在系统托盘中,如果在关闭电脑时没有将它从系统托盘中退出,就会出现无法关机的现象.关机前,先退出各种正在执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywo2kz.html" rel="bookmark" class="title">怎么备份和恢复双操作系统</a>
					<div>
						  双操作系统的备份 备份和恢复双操作系统的方法同单操作系统相似,也是将安装操作系统的分区备份下来即可.例如,在C盘上安装Windows XP,D盘上安装Windows 2003 (如图1所示)的备份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7olDb.html" rel="bookmark" class="title">电脑回收站清空了怎么恢复？</a>
					<div>
						  迅捷数据恢复软件是一款简洁易用的专业硬盘数据恢复软件,主要用于恢复被删除.被格式化.误Ghost丢失的文件等,并且支持恢复几百种文件格式,恢复内容非常全面.迅捷数据恢复软件操作过程十分简单,软件无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdvVp.html" rel="bookmark" class="title">new和delete</a>
					<div>
						#include &lt;iostream&gt; using namespace std; int main(int argc, char *argv[]) { int *p = NULL; //定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA8QvM.html" rel="bookmark" class="title">OSGi架构学习与设计</a>
					<div>
						首先,我想表扬自己终于开始实践自己一直想贯彻的想法---用博客来记录和总结自己的学习历程.               现在我正在设计一套基于Equinox的管理门户平台上各种不同服务的分布式框架.E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My31j5z.html" rel="bookmark" class="title">Design Pattern理解碎片</a>
					<div>
						   开发封闭原则(Open-Closed Principle OCP)Software entities(classes,modules,functions etc) should open for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6NE9M.html" rel="bookmark" class="title">When does the Oracle library for st&lowbar;shapelib&period;dll need to be changed&quest;</a>
					<div>
						Question When does the Oracle library for st_shapelib.dll need to be changed? Answer The library is  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjePVp.html" rel="bookmark" class="title">《HTML 5与CSS 3权威指南（第3版&CenterDot;下册）》&mdash;&mdash;19&period;2   属性选择器</a>
					<div>
						19.2 属性选择器 19.2.1 属性选择器概述 在HTML中,通过各种各样的属性,我们可以给元素增加很多附加信息.例如,通过width属性,我们可以指定div元素的宽度,通过id属性,我们可以将不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N8JJM.html" rel="bookmark" class="title">gif win8 1-使用BitmapDecoder读取GIF图片的问题 Win8&period;1 WP8&period;1 appx</a>
					<div>
						问题描述 使用BitmapDecoder读取GIF图片的问题 Win8.1 WP8.1 appx private string filename = &quot;8.gif&quot;; privat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE61mPM.html" rel="bookmark" class="title">惠普成 Linux 基金会白金会员</a>
					<div>
						北京时间11月6日消息,惠普已经成为Linux基金会(Linux Foundation)白金会员.根据Linux基金会规章制度,白金会员需每年交纳50万美元会费,在董事会中获得一个席位,并对该组织推广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRLAVb.html" rel="bookmark" class="title">一个js的apply问题，this为什么不是指向sum1而是window</a>
					<div>
						问题描述 一个js的apply问题,this为什么不是指向sum1而是window var m=1; function sum () { alert(this.m); } sum(); //1 fun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKvYVb.html" rel="bookmark" class="title">Redhat linux DNS配置指南</a>
					<div>
						在oracle 11g的RAC中增加了SCAN IP,而使用 SCAN IP的一种方式就是使用DNS,这里介绍在Redhat Linux 5.4中DNS的详细配置操作 在配置DNS之前修改主机名 Re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydjmEb.html" rel="bookmark" class="title">报错，求救！</a>
					<div>
						问题描述 &lt;%@pagelanguage=&quot;java&quot;import=&quot;java.util.*,com.bagutech.agency.dao.*,com.bagut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjmnWM.html" rel="bookmark" class="title">虚拟机只能ping到宿主机ping不到其他电脑</a>
					<div>
						问题描述 虚拟机只能ping到宿主机ping不到其他电脑 虚拟机使用桥接模式并且本地连接中自行设置IP地址,与本机上的IP地址前三位相同.本机可以和虚拟机相互ping通,本机也可以ping到同一网段的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnLWWM.html" rel="bookmark" class="title">实例-求教C&num;大神，&OpenCurlyDoubleQuote;System&period;Exception&rdquo;异常</a>
					<div>
						问题描述 求教C#大神,&quot;System.Exception&quot;异常 &quot;System.Exception&quot;类型的未经处理的异常在 DBUtility.dll 中发生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy52Az.html" rel="bookmark" class="title">gridview怎么将id值传给详情页的detailview。显示对应id的详情页！</a>
					<div>
						问题描述 小弟才学asp.net没多久,求大神详解!!要很详细!.谢谢额&lt;asp:GridViewID=&quot;GridView1&quot;runat=&quot;server&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ6JQp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;全民公敌&rdquo;马化腾：如果我们不前进 就会被取代</a>
					<div>
						2011年过去了,互联网公司老板们的问题单中又多了一条:&quot;马化腾究竟是敌是友?&quot; 而在这之前,外界送给马化腾的雅号是&quot;模仿大师&quot;,那句经典的&quot;一直在模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn2g6M.html" rel="bookmark" class="title">随着智能手机的进一步普及，越来越多的用户开始习惯使用手机查阅地图</a>
					<div>
						易观智库发布&lt;2012年第二季度中国手机地图客户端市场监测报告&gt;,截至6月底,中国手机地图客户端市场累积账户数已达2.29亿户,同比增幅超200%.然而从市场占有率来看,老牌的谷歌地图.诺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGreEnp.html" rel="bookmark" class="title">PHP删除目录及目录下所有文件的方法详解&lowbar;php技巧</a>
					<div>
						函数代码一:删除目录及目录下的所有文件 复制代码 代码如下: //循环删除目录和文件函数function delDirAndFile( $dirName ){if ( $handle = opendi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYAyNb.html" rel="bookmark" class="title">JS小功能&lpar;offsetLeft实现图片滚动效果&rpar;实例代码&lowbar;javascript技巧</a>
					<div>
						效果: 代码: 复制代码 代码如下: &lt;head runat=&quot;server&quot;&gt;    &lt;title&gt;&lt;/title&gt;    &lt;style ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5lrZz.html" rel="bookmark" class="title">Sprint在旧金山启动4G网络</a>
					<div>
						C114讯 北京时间12月29日上午消息(张月红)美国第三大运营商Sprint在旧金山港湾区推出了4GWiMAX网络,初期在旧金山.圣何塞.帕洛阿尔托.奥克兰可用.随后WiMAX网络将在全国71个市场 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
